Bug 459483 - Unable to create lockspace for CLVM: Invalid argument
Unable to create lockspace for CLVM: Invalid argument
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2-cluster (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-19 06:48 EDT by Eugenij Shkrigunov
Modified: 2009-01-09 01:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:43:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugenij Shkrigunov 2008-08-19 06:48:13 EDT
Description of problem:
clvmd does not work

Version-Release number of selected component (if applicable):
lvm2-cluster-2.02.28-1.fc8
kernel-PAE-2.6.25.14-69.fc8
all packages updated

How reproducible:
service clvmd start

Actual results:
syslog
clvmd: Unable to create lockspace for CLVM: Invalid argument

strace trace output in the attachment
Comment 1 Christine Caulfield 2008-08-19 09:05:53 EDT
Can you check the version of libdlm you have, and also look in syslog for kernel messages?

I strongly suspect you have a mismatch between libdlm and the kernel, so you might like to try upgrading the former.
Comment 2 Eugenij Shkrigunov 2008-08-19 09:53:35 EDT
dlm version:
cman-2.0.60-3.fc7.i386.rpm

there is no kernel messages related to the problem.

all packages updated
Comment 3 Christine Caulfield 2008-08-19 10:18:32 EDT
cman 2.0.60 is too old for that kernel version, sorry.

I'm not involved in Fedora packaging so I don't know which version you need but it will have be a lot newer that than to work with a 2.6.25 kernel.

Is it maybe something to do with the cman package being from Fedora 7?
Comment 4 Eugenij Shkrigunov 2008-08-19 12:36:00 EDT
But cman-2.0.60-3.fc7.i386.rpm is official package FC8.
Please, rebuild needed packages. Thank you.
Comment 5 Bug Zapper 2008-11-26 06:06:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:43:56 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.